package montre;

/** Le compteur modulo est un compteur dont les etats accessibles
  * sont compris entre 0 et une valeur limite maximum (modulo-1).
  */
public class CompteurModulo extends Compteur {
   /** l'attribut etat est hrit */
   
	/** reprsente le nombre d'tats accessibles */
	private int modulo;
	
	/** constructeurs */
	public CompteurModulo(int modulo) { 	
		super (); // invoque le constructeur par dfaut de Compteur
		this.modulo = modulo;
	}

	/** constructeurs 
	  * @param etat : tat initial, 0 <= etat < modulo
	  */
	public CompteurModulo(int etat, int modulo) { 	
		super (); // invoque le constructeur par dfaut de Compteur
		super.etat = etat;
		this.modulo = modulo;
	}

	// la mthode getEtat est hrite */	
	
	// La mthode incrementer est hrite puis redfinie */
	/** saute  l'tat suivant */
	public void incrementer() {
		if (etat == modulo-1) {
			etat = 0;
		} else {
			super.incrementer();
		}
	}
}