/**
 * Informatique Industrielle et Java
 * Projet enumeration du chapitre5
 *
 * @author F. Mallet
 * @version 1
 */
import javax.comm.CommPortIdentifier;
import java.util.Enumeration;

public class Enumerer
{
    static public void main(String []args) {
        for(Enumeration en = CommPortIdentifier.getPortIdentifiers();
            en.hasMoreElements(); 
            /* l'?num?ration ?volue par la m?thode nextElement */) {

    // extrait l'?l?ment suivant de l'?num?ration
            CommPortIdentifier ident = (CommPortIdentifier)en.nextElement() ;

    // Affiche le nom du port
            System.out.print("Nom = " + ident.getName()) ;

    // Teste si c'est un port s?rie ou un port parall?le
            if (ident.getPortType() == CommPortIdentifier.PORT_SERIAL) {
                System.out.print(" port s?rie") ;
            } else {
                System.out.print(" port parall?le") ;
            }

    // Teste si le port appartient ? une application ou non
            if (ident.isCurrentlyOwned()) {
                System.out.println(" appartient ? " + ident.getCurrentOwner());
            } else {
                System.out.println(" n'a pas de propri?taire.") ;
            }
       }
    }
}
