/**
 * Informatique Industrielle et Java
 * Projet main du chapitre5
 *
 * @author F. Mallet
 * @version 1
 */
import montre.Montre;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.Timer;

public class Environnement {
    // La fen?tre principale de l'environnement graphique */
    private javax.swing.JFrame fenetre;
       
    /* Constructeur: cr?e la fen?tre principale de l'environnement*/    
    public Environnement () {
        fenetre = new javax.swing.JFrame("horloge");
    }

    /* affiche la fen?tre principale ? l'?cran */
    public void affiche() { 
        fenetre.setVisible(true);
    }
    /* cache la fen?tre principale */
    public void cache() {
        fenetre.setVisible(false);
    }
    
    /* ajoute un objet graphique dans l'environnement 
     * @param composant est l'objet graphique ? ajouter
     */
    public void ajouteObjet(java.awt.Component composant) {
        fenetre.getContentPane().add(composant);
        fenetre.pack();
    }

    static public void main(String [] args) {
        Environnement env = new Environnement();
        env.affiche();
        Montre montre = new Montre();
        env.ajouteObjet(montre);
        for (int i = 0; i<200; i++) {
            montre.incrementerSecondes();
        }
    }
}